4Suite™ API Documentation

# ► Module Ft.Xml.Xslt.Stylesheet

xsl:stylesheet / xsl:transform implementation; various stylesheet internals
Copyright 2005 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: StylesheetElement |  |  |  | Functions: MatchTree

## Classes

class StylesheetElement(Ft.Xml.Xslt.StylesheetTree.XsltElement)

### Methods

__getstate__(self)
__init__(self, root, namespaceUri, localName, baseUri)
applyTemplates(self, context, processor, params=None, maxImport=None)
getGlobalVariables(self)
getInitialFunctions(self)
getNamedTemplates(self)
idle(self, contextNode, processor, baseUri=None)
primeStylesheet(self, contextNode, processor, topLevelParams, docUri)
reset(self)
Called whenever the processor is reset, i.e. after each run Also called whenever multiple stylesheets are appended to a processor, because the new top-level elements from the new stylesheet need to be processed into the main one
reset1(self)
reset2(self)
setup(self)
Called only once, at the first initialization
updateAllKeys(self, context, processor)
Update all the keys for all documents in the context Only used as an override for the default lazy key eval
updateKey(self, doc, keyName, processor)
Update a particular key for a new document

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__str__, appendChild, expandQName, insertChild, instantiate, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

isLastChild, isPseudoNode, pprint, prime

### Fields

category = None
content = <Ft.Xml.Xslt.ContentInfo.Seq instance>
doesIdle = 0
doesPrime = 0
doesSetup = 0
legalAttrs = {'exclude-result-prefixes': <Ft.Xml.Xslt.AttributeInfo.Prefixes instance>, 'extension-element-prefixes': <Ft.Xml.Xslt.AttributeInfo.Prefixes instance>, 'id': <Ft.Xml.Xslt.AttributeInfo.Id instance>, 'version': <Ft.Xml.Xslt.AttributeInfo.Number instance>}

### Fields

## Functions

MatchTree(patterns, context)
Returns all nodes, from context on down, that match the patterns